GET /api/farcaster/channel/{name}/feed
Channel feed/casts
GET feed data from farcaster service
Endpoint​
GET https://api.web3identity.com/api/farcaster/channel/{name}/feed
Parameters​
| Name | In | Type | Required | Description |
|---|---|---|---|---|
name | path | string | âś… | ENS name or identifier |
Example Request​
curl -s "https://api.web3identity.com/api/farcaster/channel/:name/feed" | jq
Responses​
200 Success​
{
"channel": "dev",
"casts": [
{
"hash": "0xabc123",
"text": "Dev channel post",
"author": {
"fid": 3,
"username": "dwr"
},
"timestamp": 1707393600000,
"reactions": {
"likes": 25
}
}
]
}
400 Bad request - invalid parameters​
{
"example": "response"
}
402 Payment required​
404 Resource not found​
{
"example": "response"
}
429 Rate Limited​
{
"example": "response"
}
500 Internal Server Error - Something went wrong on our end​
{
"error": "Internal server error",
"code": "INTERNAL_ERROR"
}
Auto-generated from OpenAPI spec